CLASS TEMPLATE DE(3)

NAME
boost::interprocess::deleter

SYNOPSIS

// In header: <boost/interprocess/smart_ptr/deleter.hpp>
template<typename T, typename SegmentManager>
class deleter {
public:
  // types
  typedef boost::pointer_to_other< typename SegmentManager::void_pointer, T >::type pointer;
  // construct/copy/destruct
  deleter(segment_manager_pointer);
  // public member functions
  void operator()(const pointer &);
};

DESCRIPTION

A deleter that uses the segment manager's destroy_ptr function to destroy the passed pointer resource.

This deleter is used

  deleter public construct/copy/destruct

    1.

    deleter(segment_manager_pointer pmngr);

  deleter public member functions

    1.

    void operator()(const pointer & p);